Bug 641182 - Resources: "Down Servers" View does not display associated icon that matches the tree.
Resources: "Down Servers" View does not display associated icon that matches ...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Sunil Kondkar
: Reopened
Depends On:
Blocks: rhq4 gwt-tree
  Show dependency treegraph
 
Reported: 2010-10-07 20:02 EDT by Corey Welton
Modified: 2013-09-02 03:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:21:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot (20.14 KB, image/png)
2010-11-11 14:03 EST, Corey Welton
no flags Details

  None (edit)
Description Corey Welton 2010-10-07 20:02:17 EDT
Description of problem:
In the Resources view, most views (Platforms, Servers, Services, etc.), when clicked, show an icon next to the title that matches the one in the Resources tree.  "Downed Servers", however, does not. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Navigate to Inventory.
2.  Click each of the main tree items  (Platforms, Servers, Services, etc.) and note the Icon/Title of the view
3.  Click the "Down Servers" view.  Note the Icon/Title of the view.
  
Actual results:
No icon

Expected results:
Consistency - icon, per the other views in the tree

Additional info:
This might really not actually be a tree bug, but we'll mark it here for now.
Comment 1 Sudhir D 2010-10-29 08:30:37 EDT
Tested with the latest build of rhq-server-4.0.0-SNAPSHOT. The icon's are matching from the other views to that of downed server view. 

Closing this for now. Please reopen if issue regress.
Comment 2 Corey Welton 2010-11-11 14:02:32 EST
Reopening.  No, there is no icon.  Please see attached screenshot, in the highlighted section.  There is no icon that matches the associated sidebar icon.
Comment 3 Corey Welton 2010-11-11 14:03:13 EST
Created attachment 459823 [details]
screenshot
Comment 4 John Mazzitelli 2011-02-17 16:01:07 EST
its consistent now - there is no title/icon on the platform/server/service type views - they are all essentially saved queries - you get the search view now.
Comment 5 Sunil Kondkar 2011-04-20 07:40:53 EDT
Verified on build#1144 (Version: 4.0.0-SNAPSHOT Build Number: 50f58a4)

There is no title/icon on the platform/server/service type views. It displays the search views only.

Marking as verified.
Comment 6 Heiko W. Rupp 2013-09-02 03:21:20 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.